Jump to content

Multi 7.9 GG

   (0 reviews)
Sign in to follow this  

4 Screenshots


Download this file

About This File

Requires Android: Android 4.0.3 (Ice Cream Sandwich MR1) or later.

For Android less 5.0 (Lollipop) use old version: Multi (#1vz5hagw)

There is support for x86.

Video: No root via Multi - GameGuardian (#1bmkdtjj)

Before installing the optimized version, uninstall the version from Google Play.
Differences of the optimized version: no error 105, support for x86.


What's New in Version 7.9 GG   See changelog

Released

Bug fix.




User Feedback

You may only provide a review once you have downloaded the file.

There are no reviews to display.

×
×
  • Create New...